

<div wire:poll.60s>
    <div class="p-4 bg-white block dark:bg-gray-800 dark:border-gray-700">
    <div class="w-full mb-4 flex items-center gap-x-4">
        <h1 class="text-xl font-semibold text-gray-900 sm:text-2xl dark:text-white">@lang('menu.kot')</h1>
        <!--<button wire:click="refreshPage" -->
        <!--        class="bg-blue-500 text-white p-2 rounded shadow hover:bg-blue-600 ml-4">-->
        <!--        Refresh-->
        <!--    </button>-->
    </div>
          
        <div class="items-center justify-between block sm:flex ">
            <div class="lg:flex items-center mb-4 sm:mb-0">

                <div class="lg:flex items-center mb-4 sm:mb-0">
                    <form class="sm:pr-3" action="#" method="GET">
                        
                        <div class="lg:flex gap-2 items-center">
                            <x-select id="dateRangeType" class="block w-fit" wire:model="dateRangeType"
                             wire:change="setDateRange">
                                <option value="today">@lang('app.today')</option>
                                <option value="currentWeek">@lang('app.currentWeek')</option>
                                <option value="lastWeek">@lang('app.lastWeek')</option>
                                <option value="last7Days">@lang('app.last7Days')</option>
                                <option value="currentMonth">@lang('app.currentMonth')</option>
                                <option value="lastMonth">@lang('app.lastMonth')</option>
                                <option value="currentYear">@lang('app.currentYear')</option>
                                <option value="lastYear">@lang('app.lastYear')</option>
                            </x-select>
    
                            <div id="date-range-picker" date-rangepicker class="flex items-center">
                                <div class="relative flex-1">
                                    <div class="absolute inset-y-0 start-0 flex items-center ps-3 pointer-events-none">
                                        <svg class="w-4 h-4 text-gray-500 dark:text-gray-400" aria-hidden="true" xmlns="http://www.w3.org/2000/svg" fill="currentColor" viewBox="0 0 20 20">
                                            <path d="M20 4a2 2 0 0 0-2-2h-2V1a1 1 0 0 0-2 0v1h-3V1a1 1 0 0 0-2 0v1H6V1a1 1 0 0 0-2 0v1H2a2 2 0 0 0-2 2v2h20V4ZM0 18a2 2 0 0 0 2 2h16a2 2 0 0 0 2-2V8H0v10Zm5-8h10a1 1 0 0 1 0 2H5a1 1 0 0 1 0-2Z"/>
                                        </svg>
                                    </div>
                                    <input id="datepicker-range-start" name="start" type="text" class="bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 block w-full ps-10 p-2.5 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500" wire:model.change='startDate' placeholder="@lang('app.selectStartDate')">
                                </div>
                                
                                <span class="text-gray-500 mx-2">@lang('app.to')</span>
                                
                                <div class="relative flex-1">
                                    <div class="absolute inset-y-0 start-0 flex items-center ps-3 pointer-events-none">
                                        <svg class="w-4 h-4 text-gray-500 dark:text-gray-400" aria-hidden="true" xmlns="http://www.w3.org/2000/svg" fill="currentColor" viewBox="0 0 20 20">
                                            <path d="M20 4a2 2 0 0 0-2-2h-2V1a1 1 0 0 0-2 0v1h-3V1a1 1 0 0 0-2 0v1H6V1a1 1 0 0 0-2 0v1H2a2 2 0 0 0-2 2v2h20V4ZM0 18a2 2 0 0 0 2 2h16a2 2 0 0 0 2-2V8H0v10Zm5-8h10a1 1 0 0 1 0 2H5a1 1 0 0 1 0-2Z"/>
                                        </svg>
                                    </div>
                                    <input id="datepicker-range-end" name="end" type="text" class="bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 block w-full ps-10 p-2.5 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500" wire:model.live='endDate' placeholder="@lang('app.selectEndDate')">
                                </div>
                            </div>

                        </div>
                    </form>
                </div>

                <div class="lg:inline-flex gap-2">

                    <div wire:click="$set('filterOrders', 'in_kitchen')" @class(['whitespace-nowrap items-center font-medium
                        cursor-pointer p-2 text-center rounded-md text-sm border hover:text-gray-900 bg-white
                        hover:bg-gray-200 w-full dark:bg-gray-800 dark:hover:bg-gray-700
                        dark:hover:text-white dark:text-neutral-400', ' border-2 border-gray-700 dark:border-gray-500'=> ($filterOrders == 'in_kitchen')])>
                        @lang('modules.order.in_kitchen') ({{ $inKitchenCount }})
                    </div>
                    <div wire:click="$set('filterOrders', 'food_ready')" @class(['whitespace-nowrap items-center font-medium
                        cursor-pointer p-2 text-center rounded-md text-sm border hover:text-gray-900 bg-white
                        hover:bg-gray-200 w-full dark:bg-gray-800 dark:hover:bg-gray-700
                        dark:hover:text-white dark:text-neutral-400', ' border-2 border-gray-700 dark:border-gray-500'=> ($filterOrders == 'food_ready')])>
                    @lang('modules.order.food_ready') ({{ $foodReadyCount }})
                    </div>
                    <div wire:click="$set('filterOrders', 'served')" @class(['whitespace-nowrap items-center font-medium
                        cursor-pointer p-2 text-center rounded-md text-sm border hover:text-gray-900 bg-white
                        hover:bg-gray-200 w-full dark:bg-gray-800 dark:hover:bg-gray-700
                        dark:hover:text-white dark:text-neutral-400', ' border-2 border-gray-700 dark:border-gray-500'=> ($filterOrders == 'served')])>
                        @lang('modules.order.served') ({{ $servedCount }})
                    </div>
                    
                    
                    
                    

                </div>
                <a class="min-h-[30px] rounded-xl bg-white hover:bg-gray-50 text-gray-700 border p-3 inline-flex flex-col items-center justify-center gap-1 transition-colors dark:bg-gray-800 dark:text-gray-300 dark:border-gray-600 dark:hover:bg-gray-700 ml-4" 
                       onclick="printKOTSection(this)" 
                       target="_blank" id="printButton">
                        <svg xmlns="http://www.w3.org/2000/svg" class="w-6 h-6" fill="currentColor" viewBox="0 0 16 16">
                            <path d="M2.5 8a.5.5 0 1 0 0-1 .5.5 0 0 0 0 1"/>
                            <path d="M5 1a2 2 0 0 0-2 2v2H2a2 2 0 0 0-2 2v3a2 2 0 0 0 2 2h1v1a2 2 0 0 0 2 2h6a2 2 0 0 0 2-2v-1h1a2 2 0 0 0 2-2V7a2 2 0 0 0-2-2h-1V3a2 2 0 0 0-2-2zM4 3a1 1 0 0 1 1-1h6a1 1 0 0 1 1 1v2H4zm1 5a2 2 0 0 0-2 2v1H2a1 1 0 0 1-1-1V7a1 1 0 0 1 1-1h12a1 1 0 0 1 1 1v3a1 1 0 0 1-1 1h-1v-1a2 2 0 0 0-2-2zm7 2v3a1 1 0 0 1-1 1H5a1 1 0 0 1-1-1v-3a1 1 0 0 1 1-1h6a1 1 0 0 1 1 1"/>
                        </svg>
                        <span class="text-sm font-medium">@lang('app.print')</span>
                    </a>
            </div>

        </div>

      <div class="flex flex-col my-4" id="kot-section">
    <!-- Print Button -->
    

    <!-- Card Section -->
    <div class="space-y-4">
        <div class="grid sm:grid-cols-3 2xl:grid-cols-4 gap-3 sm:gap-4">
            @foreach ($kots as $item)
                <div class="kot-card" onclick="printKOTCard(this)">
                    @livewire('kot.kot-card', ['kot' => $item], key('kot-' . $item->id . microtime()))
                </div>
            @endforeach
        </div>
    </div>
    <!-- End Card Section -->
    
</div>



    </div>
    
   
    
    <style>
@media print {
    /* Hide the print button in print mode */
    #printButton {
        display: none !important;
    }
}
</style>